Regions
Geographic regions used to categorize nodes and node groups.
regionsNode schedulingAuthentication: Admin only5 endpointsList regions
GET
/api/v2/regionsAuthentication: Admin only
Query parameters
| Field | Type | Required | Description |
|---|---|---|---|
| page | integer | — | Page number, starting from 1 |
| page_size | integer | — | Items per page |
| sort | string | — | Sort fields, comma-separated; prefix `-` for descending, e.g. `-created_at,id` |
Create region
POST
/api/v2/regionsAuthentication: Admin only
Request body application/json
| Field | Type | Required | Description |
|---|---|---|---|
| des | string | — | Description |
| name | string | Required | Name |
Get region
GET
/api/v2/regions/{id}Authentication: Admin only
Update region
PUT
/api/v2/regions/{id}Authentication: Admin only
Request body application/json
| Field | Type | Required | Description |
|---|---|---|---|
| des | string | — | Description |
| name | string | — | Name |
Delete region
DELETE
/api/v2/regions/{id}Authentication: Admin only
Regions object
| Field | Type | Required | Description |
|---|---|---|---|
| created_at | string | — | Created at |
| des | string | — | Description |
| id | integer | — | Record ID |
| name | string | — | Name |
| updated_at | string | — | Updated at |